Live Google Organic SERP Regular
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/live/regular \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "<string>",
"location_name": "<string>",
"location_code": 123,
"location_coordinate": "<string>",
"language_name": "<string>",
"language_code": "<string>",
"device": "<string>",
"os": "<string>",
"depth": 123,
"max_crawl_pages": 123,
"tag": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/live/regular"
payload = {
"keyword": "<string>",
"location_name": "<string>",
"location_code": 123,
"location_coordinate": "<string>",
"language_name": "<string>",
"language_code": "<string>",
"device": "<string>",
"os": "<string>",
"depth": 123,
"max_crawl_pages": 123,
"tag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
location_name: '<string>',
location_code: 123,
location_coordinate: '<string>',
language_name: '<string>',
language_code: '<string>',
device: '<string>',
os: '<string>',
depth: 123,
max_crawl_pages: 123,
tag: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/live/regular', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": "<string>",
"tasks[].id": "<string>",
"tasks[].result": "<string>"
}Organic
Live Google Organic SERP Regular
Live Google Organic SERP Regular.
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
organic
/
live
/
regular
Live Google Organic SERP Regular
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Keyword to search for
Full name of search engine location
Search engine location code
GPS coordinates of a location
Full name of search engine language
Search engine language code
Device type: desktop or mobile
Device operating system
Parsing depth, default 100, max 700
Page crawl limit, max 100
User-defined task identifier
Response
Successful response
API version
General status code
General informational message
Execution time
Request cost in USD
Number of tasks returned
Number of tasks returned with an error
Array of live task objects
Task identifier
Live SERP regular results
⌘I